package com.eactive.eai.common.bizkey;

import java.io.Serializable;

public class BizKeyFldVO implements Serializable {
	private static final long serialVersionUID = 1L;

	private int colPssSeq; // 순번 [TSEAIFR03.FldPrcssNo]
	private String msgTp; // 메시지유형 [TSEAIFR03.MsgDstcd]
	private String bwkColNm; // 업무필드명 [TSEAIFR03.BzwkFldName]

	public BizKeyFldVO(int colPssSeq, String msgTp, String bwkColNm) {
		this.colPssSeq = colPssSeq;
		this.msgTp = msgTp;
		this.bwkColNm = bwkColNm;
	}

	public void setColPssSeq(int colPssSeq) {
		this.colPssSeq = colPssSeq;
	}

	public int getColPssSeq() {
		return this.colPssSeq;
	}

	public void setMsgTp(String msgTp) {
		this.msgTp = msgTp;
	}

	public String getMsgTp() {
		return this.msgTp;
	}

	public void setBwkColNm(String bwkColNm) {
		this.bwkColNm = bwkColNm;
	}

	public String getBwkColNm() {
		return this.bwkColNm;
	}

	@Override
	public String toString() {
	    StringBuilder sb = new StringBuilder();
	    sb.append("BizKeyFldVO {")
	        .append("colPssSeq=").append(colPssSeq).append(", ")
	        .append("msgTp='").append(msgTp).append("', ")
	        .append("bwkColNm='").append(bwkColNm).append("'")
	        .append("}");
	    return sb.toString();
	}
	
}
